Package picard.sam

## Enum ViewSam.PfStatus

- java.lang.Object
- - java.lang.Enum<ViewSam.PfStatus>
  - - picard.sam.ViewSam.PfStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<ViewSam.PfStatus>`
  Enclosing class:
    ViewSam

      public static enum ViewSam.PfStatus
      extends Enum<ViewSam.PfStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `All` |
    `NonPF` |
    `PF` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ViewSam.PfStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ViewSam.PfStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PF

          public static final ViewSam.PfStatus PF

    - #### NonPF

          public static final ViewSam.PfStatus NonPF

    - #### All

          public static final ViewSam.PfStatus All

  - ### Method Detail

    - #### values

          public static ViewSam.PfStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewSam.PfStatus c : ViewSam.PfStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewSam.PfStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null